// Author: Ivan Kazmenko (gassa@mail.ru)
module solution;
import std.stdio;

void main ()
{
	int n;
	while (readf (" %s", &n) > 0)
	{
		int res = 0;
		foreach (i; 0..n / 2)
		{
			foreach (j; n / 2..n)
			{
				res += 1;
			}
		}
		writeln (res);
	}
}
